#ifndef __LIPS_CAL_DB_H
#define __LIPS_CAL_DB_H

#include <sqlite3.h>
#include <calerror.h>

#include "cal-priv.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
	
	
typedef struct 
  {
    sqlite3 *component_db;
    sqlite3 *subcomponent_db;
  }CalBackendDb;
	

cal_err_t cal_funcs_init_db (CalBackend *bk);
cal_err_t _fill_generated_occurrence (cal_component_t *comp, const char * rid, cal_component_t **instance);
	
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __LIPS_CAL_DB_H */

/*
vi:ts=2:nowrap:ai:expandtab
*/
